import * as React from 'react';
import { Dispatch, Extension, ExtensionProps } from '../types';
import { Node } from 'prosemirror-model';
import { EditorState } from 'prosemirror-state';
export default class BlockQuote extends Extension {
    constructor(props?: ExtensionProps);
    get name(): string;
    get group(): string;
    get showMenu(): boolean;
    get schema(): import("../types").ExtensionSchema | {
        content: string;
        group: string;
        parseDOM: {
            tag: string;
            priority: string;
            getAttrs(dom: HTMLElement): {
                id: string;
            };
        }[];
        attrs: {
            align: {
                default: string;
            };
            id: {
                default: string;
            };
        };
        toDOM: (node: Node) => (string | number | {
            class: string;
        })[];
    };
    get icon(): React.JSX.Element;
    active(state: EditorState): boolean;
    enable(state: EditorState): boolean;
    onClick(state: EditorState, dispatch: Dispatch): void;
}
//# sourceMappingURL=blockquote.d.ts.map