import * as React from 'react';
import { EditorState } from 'prosemirror-state';
import { Node } from 'prosemirror-model';
import { Dispatch, Extension, ExtensionProps } from '../../types';
export default class Embed extends Extension {
    constructor(props?: ExtensionProps);
    get name(): string;
    get group(): string;
    get showMenu(): boolean;
    get hideInlineMenuOnFocus(): boolean;
    get schema(): import("../../types").ExtensionSchema | {
        group: string;
        content: string;
        selectable: boolean;
        isolating: boolean;
        attrs: {
            type: {
                default: string;
            };
            src: {
                default: string;
            };
        };
        parseDOM: {
            tag: string;
            getAttrs(dom: HTMLElement): {
                src: string;
            };
        }[];
        toDOM: (node: Node) => (string | {
            contenteditable: boolean;
            class: string;
        } | (string | {
            class: string;
        } | (string | {
            src: string;
        })[])[])[] | (string | {
            class: string;
        } | (string | {
            class: string;
            href: any;
        } | (string | number | {
            class: string;
        })[])[])[];
    };
    get icon(): React.JSX.Element;
    active(state: EditorState): boolean;
    enable(state: EditorState): boolean;
    onClick(state: EditorState, dispatch: Dispatch): void;
    get plugins(): import("prosemirror-state").Plugin<any>[];
}
//# sourceMappingURL=index.d.ts.map