import * as React from 'react';
import { Dispatch, Extension, ExtensionProps } from '../types';
import { Node } from 'prosemirror-model';
import { EditorState } from 'prosemirror-state';
export default class OrderedList extends Extension {
    constructor(props?: ExtensionProps);
    get name(): string;
    get group(): string;
    get showMenu(): boolean;
    get schema(): import("../types").ExtensionSchema | {
        content: string;
        group: string;
        parseDOM: {
            tag: string;
            priority: string;
            getAttrs(dom: HTMLElement): {
                id: string;
            };
        }[];
        attrs: {
            id: {
                default: string;
            };
        };
        toDOM(node: Node): (string | number | {
            class: any;
        })[];
    };
    get icon(): React.JSX.Element;
    get hideBlockMenuOnFocus(): boolean;
    active(state: EditorState): boolean;
    enable(state: EditorState): boolean;
    onClick(state: EditorState, dispatch: Dispatch): boolean;
    customMenu({ state, dispatch }: {
        state: EditorState;
        dispatch: Dispatch;
    }): React.JSX.Element;
}
//# sourceMappingURL=ordered-list.d.ts.map